MLXBURN(1)

NAME
mlxburn - manual page for mlxburn 4.19.0

SYNOPSIS
mlxburn [-h][-v] <-dev mst-device|-wrimage fw-image>

DESCRIPTION

    <-fw mellanox-fw-file|-image fw-image|-img_dir img_direcory|-fw_dir fw_dir> [-conf fw-conf-file][-nofs][-nofs_img][-striped_image][-format BINARY|IMAGE][-dev_type device-type] [-exp_rom <exp_rom_file>][-gb_bin_file <gb_bin_file>][-exp_rom_dir <exp_rom_dir>][-force][-conf_dir <conf_dir>][-fwver] [-vpd][-vpd_rw][-vpd_prog_rw <rw-keywords-file>][-vpd_set_keyword <keyword-assignment>] [-set_pxe_en <(port1|port2)=(enable|disable)>] [-prof_file <profiles file>] [-query] [-conf_dir_list <dir1,dir2,...,dirn>][-noencrypt]

NAME

    mlxburn

DESCRIPTION

    Burn or generate FW image for Mellanox devices. Please see the mlxburm man page (1) for more info.

OPTIONS

-dev <mst-dev>

    Burn the image using the given MST device.

-fw <mellanox-fw-file>

Specify Mellanox FW released Firmware File
    to use

    (file extension is .mlx)

-image <fw-image-file>

Do not
    generate image. Use the given fw image

    instead.

-img_dir <image directory>

    Do not generate image. Select the image to burn from the *.bin in the given directory.

-conf <parameter-set-file>

FW configuration file (.ini).
    Needed when

generating
    image (not using -dev flag) or if configuration auto detection fails.

-wrimage <fw-image-file>

    Write the image to the given file.

-exp_rom <exp-rom-file>

    Integrate the given expansion rom file to the FW image. If the exp-rom-file is set to "AUTO", expansion rom file is auto detected from the files rom in the exp_rom_dir (see below). NOTE: Exp rom auto detection is done for devices that are already burned with an exp-rom image. If "-exp_rom AUTO" is specified for a device with no exp-rom, it would be burnt with no exp rom. To add exp-rom to a device, manually supply the exp rom file to use.

-exp_rom_dir <exp_rom_dir>

    The directory in which to look for expansion rom file when "-exp_rom AUTO" is specified. By default, exp-rom files are searched in <fw file directory>/exp_rom/*

-fwver

    When a device is given: Display current loaded firmware version (Deprecated). When a FW file is given (-fw flag): Display the file FW version.

-query

    Query mode. Query the HCA or Switch device FW image.

-vpd

    Display the read only section of the PCI VPD (Vital Product Data) of the given device. NOTE: VPD feature may not be supported on certain board types.

-vpd_rw

    Display also the read/write section of the PCI VPD of the given device.

ADVANCED OPTIONS

-nofs

    When specified, burn process will not be failsafe.

-nofs_img

When
    specified, generated image will not be failsafe, and burn process will not be failsafe.

-striped_image

    When specified, generated image will be in striped format, and will indicate that the image is in striped format when queried.

-force

    None interactive mode. Assume "yes" for all user questions.

-format <BINARY|IMAGE>

    Specify which image format to use. Can be specified only with the -wrimage flag. Default is BINARY.

-conf_dir <dir>

    When specified, the auto detected configuration files will be looked for in the given directory, instead of in the firmware file directory. Applicable for burn operation.

-conf_dir_list <dir1,dir2,...,dirn>

    When specified, the auto detected configuration files will be looked for in the given directories, instead of in the firmware file directory. Applicable for burn operation.

-fw_dir <dir>

    When specified, the auto detected fw files will be looked for in the given directory. Applicable for burn operation.

-dev_type <mellanox-device-number>

mlxburn
    must know the device type in order to work

properly.
    Use this flag if device type auto-detection fails.

    Example: -dev_type 23108

    Supported Mellanox device types: HCAs/NICs: 25408, 25418, 26418, 26428, 25448, 26448, 26468,

    26478, 25458, 26458, 26438, 26488, 4099, 4103, 4113, 4115, 4117, 4119, 4121, 41680, 41681, 41682.

Switches:
    48436, 48437, 48438, 51000, 52000, 52100, 53000, 53100.

-vpd_prog_rw <rw-keywords-file>

    Program the VPD-W tag (the writable section of the VPD) with the data given in the rw-keywords-file. File lines format: "KEYWORD = VALUE". In order to set binary data to a keyword, add ":BIN" to the keyword name. in this case, the data is a hexadecimal string of even length. Example file:

    V1 = MY-ASCII-KEYWORD V2:BIN = 1234abcd

    White spaces before and after VALUE are trimmed.

-vpd_set_keyword <keyword-assignment>

    Add or change a keyword value in the VPD-W tag (the writable section of the VPD) with the data given in the keyword-assignment string. The string format is identical to a line in the rw-keywords-file described above. Other keywords in the VPD-W tag are not affected by this operation.

-query

    Query the HCA/Switch device for firmware details, e.g. Firmware Version, GUIDs etc.

-vsd <string>

    Write this string, of up to 208 characters, to VSD section.

    In addition to the above flags, Mlxburn can also accept the following flags/options, which are passed to the underlying burning tool:

-banks
    -use_image_ps -skip_is

-mac(s)
    -guid(s) -sysguid

-ndesc
    -bsn -use_image_guids

-pe_i2c
    -se_i2c -is3_i2c

-no -qq -uid(s)

-log
    -blank_guids -flash_params

-allow_psid_change
    -no_flash_verify

-use_image_rom
    -override_cache_replacement

-ocr
    -ignore_dev_data

-use_dev_rom
    -no_fw_ctrl

    See the flint tool documentation for HCA/4th gen switches/Bridge burning options.

PRODUCTION OPTIONS

    These options are applicable for Mellanox ConnectIB HCA only. These options are relevant when generating an image for initial burn. The image contains the VPD and the GUIDs that are in a read-only area on flash.

-vpd_r_file <vpd_r_file>

    Embed the given VPD Read-Only section in the generated image. The vpd_r_file should contain the vpd read only section and the first dword of the vpd write-able section. The file is in binary format, and its size must be a multiple of 4 bytes. Please refer to PCI base spec for VPD structure info.

-base_guid <GUID>

    Set the given GUID as the image base GUID. The base GUID is used to derive GUIDs and MACs for the HCA ports. It is assumes that 16 GUIDs (base_guid to base_guid + 15) are reserved for the card. *On ConnectX4: only GUIDs will be derrived according to the HCA's configuration.

-base_mac <MAC>

    Set the given MAC as the image base MAC. the base MAC is used to derrvie MACs for the HCA ports according to the device configuration (ConnectX4 only).

INFO OPTIONS

-h

    display a short help text

-V <INFORM|WARNING|DEBUG>

    Set verbosity level. Default is WARNING.

-v

    Print version info and exit.

SEE ALSO
The full documentation for mlxburn is maintained as a Texinfo manual. If the info and mlxburn programs are properly installed at your site, the command

    info mlxburn

should give you access to the complete manual.

SEE ALSO
The full documentation for mlxburn is maintained as a Texinfo manual. If the info and mlxburn programs are properly installed at your site, the command

    info mlxburn

should give you access to the complete manual.